
Redmine - Feature #10171

Updating journal notes via REST API

2012-02-08 09:20 - Taha Jahangir

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version: 5.0.0   

Resolution: Fixed   

Description

Currently viewing journals via REST API is possible (with include=journals), but there is no way to update them.

Note that journal notes are edtiable in main ui.

Related issues:

Related to Redmine - Feature #8630: Journals in REST API New 2011-06-16

Has duplicate Redmine - Feature #27870: API for editing/deleting notes in an ... Closed

Associated revisions

Revision 21496 - 2022-03-23 15:26 - Go MAEDA

Add support for PUT API to journals (#10171).

Patch by Mizuki ISHIKAWA .

History

#1 - 2012-06-09 04:40 - Taha Jahangir

Is there any plan to fix this issue?

#2 - 2014-05-10 20:21 - Grigory Kirichenko

It seems that we not only can't edit notes via REST API.

See http://www.redmine.org/boards/1/topics/16513?r=29807

We also can't ADD notes to issue through REST API.

Please write here if something changed.

#3 - 2014-07-18 10:52 - Kamil Franckiewicz

I would like to enjoy to this feature. Will it be possible in the future ? I found also similar issue Journals in REST API

#4 - 2014-08-16 11:46 - Toshi MARUYAMA

- Related to Feature #8630: Journals in REST API added

#5 - 2018-09-24 13:42 - Go MAEDA

- Has duplicate Feature #27870: API for editing/deleting notes in an issue added

#6 - 2020-05-26 17:06 - Brian Bouterse

Without this feature, there is no way to clean spam from Redmine websites in an automated way. This is a serious problem for our usage of Remdine.

#7 - 2022-03-23 08:13 - Mizuki ISHIKAWA

- File add_put_journal_api.patch added

This patch adds a PUT update API for journal.

This API has the following functions similar to those available from the page:

Of the journal values, you can only update notes.

When the notes of the journal that does not have the associated journal_details are changed to empty, the journal record is deleted.
Example:

curl -X PUT -d '{"journal": { "notes": "new notes" }}' -H "Content-Type: application/json" http://localhost:30

00/journals/1.json?key=<api key>

#8 - 2022-03-23 15:27 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version set to 5.0.0

- Resolution set to Fixed

Committed the patch. Thank you for your contribution.

Files

add_put_journal_api.patch 3.96 KB 2022-03-23 Mizuki ISHIKAWA
